---
title: "Post"
description: "获取单条 Threads 帖子。"
---

```http
GET | POST /v1/threads/post
```

参数可以用 `GET` 的查询字符串发送，也可以用 `POST` 的 JSON 请求体发送，两者等价。

## 传入内容

| 传入 | 读取内容 | 说明 |
|---|---|---|
| `id` | 该帖子 | 短代码或 URL |

每次调用只传一个来源。所有标识符也都接受页面 URL。

## 参数

| Parameter | Type | Required | Notes |
|---|---|---|---|
| `id` | string |  | Post shortcode, or the post URL (…/@user/post/<code> or …/t/<code>). |

## 请求

```bash tab="cURL"
curl "https://gateway.apinoa.com/v1/threads/post?id=DeZtp-TkQHh" \
  -H "x-api-key: $APINOA_API_KEY"
```

```js tab="JavaScript"
const params = new URLSearchParams({ id: "DeZtp-TkQHh" });
const res = await fetch(`https://gateway.apinoa.com/v1/threads/post?${params}`, {
  headers: { "x-api-key": process.env.APINOA_API_KEY },
});
const { success, data, error } = await res.json();
```

```python tab="Python"
import os

import requests

res = requests.get(
    "https://gateway.apinoa.com/v1/threads/post",
    params={"id": "DeZtp-TkQHh"},
    headers={"x-api-key": os.environ["APINOA_API_KEY"]},
)
body = res.json()
```

## 响应

在 `data` 中返回 [`Post`](/docs/api-reference/sns/response-schema#post)。 真实响应的节选：数组只保留前几项，长文本已截断。

```json
{
  "success": true,
  "data": {
    "platform": "threads",
    "id": "4006434140014576097",
    "url": "https://www.threads.com/@zuck/post/DeZtp-TkQHh",
    "author": {
      "platform": "threads",
      "id": "63055343223",
      "handle": "zuck",
      "displayName": "Mark Zuckerberg",
      "url": "https://www.threads.com/@zuck",
      "avatarUrl": "https://scontent-sjc6-1.cdninstagram.com/v/t51.82787-19/825322135_17989325280103224_1252773933700107438_n.jpg?stp=dst-j…",
      "verified": true
    },
    "text": "Introducing Muse Wonder, our new family of frontier models with state of the art performance for personal and professio…",
    "createdAt": "2026-10-12T16:56:29.000Z",
    "media": [
      {
        "type": "image",
        "url": "https://scontent-sjc6-1.cdninstagram.com/v/t51.82787-15/844965867_17991705567103224_8296143909108287920_n.webp?_nc_cat=…",
        "width": 2160,
        "height": 3260,
        "variants": [
          {
            "url": "https://scontent-sjc6-1.cdninstagram.com/v/t51.82787-15/844965867_17991705567103224_8296143909108287920_n.webp?_nc_cat=…",
            "width": 2160,
            "height": 3260
          }
        ]
      }
    ],
    "metrics": {
      "likes": 2117,
      "comments": 550,
      "shares": 145,
      "reposts": 168,
      "quotes": 60,
      "views": 168740
    },
    "ext": {
      "code": "DeZtp-TkQHh",
      "mediaType": 1,
      "replyControl": "everyone"
    }
  }
}
```

## 错误

| 状态 | 代码 | 含义 |
|---|---|---|
| 400 | `INVALID_PARAMS` | 参数缺失、未知或超出范围。消息中会指出是哪一个。 |
| 401 | `UNAUTHORIZED` | 缺少 `x-api-key` 请求头，或密钥已吊销或未知。 |
| 402 | `INSUFFICIENT_BALANCE` | 余额不足以支付本次调用。请在控制台充值。 |
| 404 | `NOT_FOUND` | 账号、帖子或分组不存在，或为私密、已删除、有年龄限制。 |
| 429 | `MARKETPLACE_SATURATED` | 并发调用过多。请等待 `Retry-After` 秒后重试。 |
| 502 | `UPSTREAM_ERROR` | 平台返回了无法使用的内容。请退避后重试。 |

全部错误代码见 [Errors](/docs/errors)。失败的调用不计费。

## 价格

**Price** $0.001 per call. [List price](https://apinoa.com/en/pricing); the rate steps down above 1,000 calls a day.
